#ifndef SIN_LUT_H_
#define SIN_LUT_H_

constexpr const double sin_lut[180] = {
    0,                   // 0
    0.01745240643728351, // 1
    0.03489949670250097, // 2
    0.05233595624294383, // 3
    0.0697564737441253,  // 4
    0.08715574274765817, // 5
    0.10452846326765346, // 6
    0.12186934340514748, // 7
    0.13917310096006544, // 8
    0.15643446504023087, // 9
    0.17364817766693033, // 10
    0.1908089953765448,  // 11
    0.20791169081775931, // 12
    0.224951054343865,   // 13
    0.24192189559966773, // 14
    0.25881904510252074, // 15
    0.27563735581699916, // 16
    0.29237170472273677, // 17
    0.3090169943749474,  // 18
    0.32556815445715664, // 19
    0.3420201433256687,  // 20
    0.35836794954530027, // 21
    0.374606593415912,   // 22
    0.3907311284892737,  // 23
    0.40673664307580015, // 24
    0.42261826174069944, // 25
    0.4383711467890774,  // 26
    0.45399049973954675, // 27
    0.4694715627858908,  // 28
    0.48480962024633706, // 29
    0.49999999999999994, // 30
    0.5150380749100542,  // 31
    0.5299192642332049,  // 32
    0.5446390350150271,  // 33
    0.5591929034707469,  // 34
    0.573576436351046,   // 35
    0.5877852522924731,  // 36
    0.6018150231520483,  // 37
    0.6156614753256582,  // 38
    0.6293203910498374,  // 39
    0.6427876096865393,  // 40
    0.6560590289905072,  // 41
    0.6691306063588582,  // 42
    0.6819983600624985,  // 43
    0.6946583704589973,  // 44
    0.7071067811865475,  // 45
    0.7193398003386511,  // 46
    0.7313537016191705,  // 47
    0.7431448254773941,  // 48
    0.754709580222772,   // 49
    0.766044443118978,   // 50
    0.7771459614569708,  // 51
    0.788010753606722,   // 52
    0.7986355100472928,  // 53
    0.8090169943749475,  // 54
    0.8191520442889918,  // 55
    0.8290375725550417,  // 56
    0.8386705679454239,  // 57
    0.848048096156426,   // 58
    0.8571673007021122,  // 59
    0.8660254037844386,  // 60
    0.8746197071393957,  // 61
    0.8829475928589269,  // 62
    0.8910065241883678,  // 63
    0.898794046299167,   // 64
    0.9063077870366499,  // 65
    0.9135454576426009,  // 66
    0.9205048534524403,  // 67
    0.9271838545667874,  // 68
    0.9335804264972017,  // 69
    0.9396926207859083,  // 70
    0.9455185755993167,  // 71
    0.9510565162951535,  // 72
    0.9563047559630354,  // 73
    0.9612616959383189,  // 74
    0.9659258262890683,  // 75
    0.9702957262759965,  // 76
    0.9743700647852352,  // 77
    0.9781476007338056,  // 78
    0.981627183447664,   // 79
    0.984807753012208,   // 80
    0.9876883405951378,  // 81
    0.9902680687415703,  // 82
    0.992546151641322,   // 83
    0.9945218953682733,  // 84
    0.9961946980917455,  // 85
    0.9975640502598242,  // 86
    0.9986295347545738,  // 87
    0.9993908270190958,  // 88
    0.9998476951563913,  // 89
    1,                   // 90
    0.9998476951563913,  // 91
    0.9993908270190958,  // 92
    0.9986295347545738,  // 93
    0.9975640502598242,  // 94
    0.9961946980917455,  // 95
    0.9945218953682734,  // 96
    0.9925461516413221,  // 97
    0.9902680687415704,  // 98
    0.9876883405951377,  // 99
    0.984807753012208,   // 100
    0.981627183447664,   // 101
    0.9781476007338057,  // 102
    0.9743700647852352,  // 103
    0.9702957262759965,  // 104
    0.9659258262890683,  // 105
    0.9612616959383189,  // 106
    0.9563047559630355,  // 107
    0.9510565162951536,  // 108
    0.9455185755993168,  // 109
    0.9396926207859084,  // 110
    0.9335804264972017,  // 111
    0.9271838545667874,  // 112
    0.9205048534524404,  // 113
    0.913545457642601,   // 114
    0.90630778703665,    // 115
    0.8987940462991669,  // 116
    0.8910065241883679,  // 117
    0.8829475928589271,  // 118
    0.8746197071393959,  // 119
    0.8660254037844387,  // 120
    0.8571673007021123,  // 121
    0.8480480961564261,  // 122
    0.8386705679454239,  // 123
    0.8290375725550417,  // 124
    0.819152044288992,   // 125
    0.8090169943749475,  // 126
    0.7986355100472927,  // 127
    0.788010753606722,   // 128
    0.777145961456971,   // 129
    0.766044443118978,   // 130
    0.7547095802227718,  // 131
    0.7431448254773942,  // 132
    0.7313537016191706,  // 133
    0.7193398003386514,  // 134
    0.7071067811865476,  // 135
    0.6946583704589971,  // 136
    0.6819983600624986,  // 137
    0.6691306063588583,  // 138
    0.6560590289905073,  // 139
    0.6427876096865395,  // 140
    0.6293203910498377,  // 141
    0.6156614753256584,  // 142
    0.6018150231520482,  // 143
    0.5877852522924732,  // 144
    0.5735764363510464,  // 145
    0.5591929034707469,  // 146
    0.544639035015027,   // 147
    0.5299192642332049,  // 148
    0.5150380749100544,  // 149
    0.49999999999999994, // 150
    0.48480962024633717, // 151
    0.4694715627858911,  // 152
    0.45399049973954686, // 153
    0.4383711467890773,  // 154
    0.4226182617406995,  // 155
    0.40673664307580043, // 156
    0.39073112848927416, // 157
    0.37460659341591224, // 158
    0.3583679495453002,  // 159
    0.3420201433256689,  // 160
    0.32556815445715703, // 161
    0.3090169943749475,  // 162
    0.29237170472273705, // 163
    0.27563735581699966, // 164
    0.258819045102521,   // 165
    0.24192189559966773, // 166
    0.22495105434386478, // 167
    0.20791169081775931, // 168
    0.19080899537654497, // 169
    0.17364817766693028, // 170
    0.15643446504023098, // 171
    0.13917310096006574, // 172
    0.12186934340514755, // 173
    0.10452846326765373, // 174
    0.08715574274765864, // 175
    0.06975647374412552, // 176
    0.05233595624294381, // 177
    0.0348994967025007,  // 178
    0.01745240643728344, // 179
};

#endif // SIN_LUT_H_
